/******************************************************************************
** 									     **
**    Learnin' : AVL Self-balancing Binary search tree.			     **
**  ---------------------------------------------			     **
**									     **
**    Source: avl_main.c						     **
**   									     **
**    Purpose:								     **
**	To learn about the AVL data structure, to implement and go where     **
**	I have never beeeeen befooreeee! (Iterative AVL tree)		     **
**									     **
**    Author: DG.Ward.							     **
**									     **
**    Contact:								     **
**	comeherenightmare@hotmail.com					     **
**      warddg1@tekotago.ac.nz						     **
**	kyretzn@gmail.com						     **
**									     **
**    Date: 18th, March 2007						     **
**									     **
******************************************************************************/
#include "AVL_functions.h"

        // --- main
        // *
        // *  purpose:
        // *  parameters:
        // *  returns:
        // *
        // ---
        int main(void) {
		avl_node_t *tree = 0;

		for(unsigned int a = 0; a < 0x1000; a++) {
			insertNode(&tree, createNodeWithKey(a));
			if(checkTree(tree) != _def_success) {
				printf("Tree broken.\r\n");
				return -1;
			} else printf("Tree ok.\r\n");
		}
			displayTree(tree);
                return 0;
        }
